searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `ExTealFroala`.","ref":"ExTealFroala.html","title":"ExTealFroala","type":"module"},{"doc":"Rich Text Field that uses the Froala WYSIWYG Editor to edit html content.","ref":"ExTealFroala.FroalaText.html","title":"ExTealFroala.FroalaText","type":"module"},{"doc":"","ref":"ExTealFroala.FroalaText.html#apply_options_for/4","title":"ExTealFroala.FroalaText.apply_options_for/4","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#as_html/0","title":"ExTealFroala.FroalaText.as_html/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#component/0","title":"ExTealFroala.FroalaText.component/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#default_sortable/0","title":"ExTealFroala.FroalaText.default_sortable/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#field_name/2","title":"ExTealFroala.FroalaText.field_name/2","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#filterable_as/0","title":"ExTealFroala.FroalaText.filterable_as/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#make/2","title":"ExTealFroala.FroalaText.make/2","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#options/0","title":"ExTealFroala.FroalaText.options/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#prefix_component/0","title":"ExTealFroala.FroalaText.prefix_component/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#sanitize_as/0","title":"ExTealFroala.FroalaText.sanitize_as/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#show_on_detail/0","title":"ExTealFroala.FroalaText.show_on_detail/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#show_on_edit/0","title":"ExTealFroala.FroalaText.show_on_edit/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#show_on_index/0","title":"ExTealFroala.FroalaText.show_on_index/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#show_on_new/0","title":"ExTealFroala.FroalaText.show_on_new/0","type":"function"},{"doc":"","ref":"ExTealFroala.FroalaText.html#value_for/3","title":"ExTealFroala.FroalaText.value_for/3","type":"function"},{"doc":"Enable asset embedding for this input field.  This assumes that you've\nconfigured a plugin that handles and exposes file uploading functionality\nto the vue app","ref":"ExTealFroala.FroalaText.html#with_assets/1","title":"ExTealFroala.FroalaText.with_assets/1","type":"function"},{"doc":"Customize the config of the editor.\n\nSee [Froal's documentation](https://froala.com/wysiwyg-editor/docs/concepts-land/) for more details.","ref":"ExTealFroala.FroalaText.html#with_config/2","title":"ExTealFroala.FroalaText.with_config/2","type":"function"},{"doc":"ExTeal Plugin configuration for ExTealFroala","ref":"ExTealFroala.Plugin.html","title":"ExTealFroala.Plugin","type":"module"},{"doc":"","ref":"ExTealFroala.Plugin.html#js_config/0","title":"ExTealFroala.Plugin.js_config/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#navigation_component/0","title":"ExTealFroala.Plugin.navigation_component/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#new/1","title":"ExTealFroala.Plugin.new/1","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#repo/0","title":"ExTealFroala.Plugin.repo/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#router/0","title":"ExTealFroala.Plugin.router/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#scripts/0","title":"ExTealFroala.Plugin.scripts/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#styles/0","title":"ExTealFroala.Plugin.styles/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#title/0","title":"ExTealFroala.Plugin.title/0","type":"function"},{"doc":"","ref":"ExTealFroala.Plugin.html#uri/0","title":"ExTealFroala.Plugin.uri/0","type":"function"},{"doc":"Routing for ExTealFroala","ref":"ExTealFroala.Router.html","title":"ExTealFroala.Router","type":"module"},{"doc":"","ref":"ExTealFroala.Router.html#init/0","title":"ExTealFroala.Router.init/0","type":"function"},{"doc":"","ref":"ExTealFroala.Router.html#init/1","title":"ExTealFroala.Router.init/1","type":"function"},{"doc":"# ExTealFroala\n\nFroala WYSIWYG Editor for Teal","ref":"readme.html","title":"ExTealFroala","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_teal_froala` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_teal_froala, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAdd your froala license as a config value:\n\n```elixir\n# config/runtime.exs\n\nconfig :ex_teal_froala, license_key: System.get_env(\"FROALA_LICENSE_KEY\")\n```\n\nAdd it to your applications Teal Manifest:\n\n```elixir\ndefmodule YourWebApp.ExTeal.Manifest do\n\n  def plugins, do: [\n    ExTealFroala.Plugin.new(%{})\n  ]\nend\n```\n\nWith all of this done, you can start using the field!","ref":"readme.html#installation","title":"Installation - ExTealFroala","type":"extras"},{"doc":"In any resource, you can add the froala text field to represent a text string with rich text:\n\n```elixir\ndefmodule YourWebApp.ExTeal.BlogResource do\n  use ExTeal.Resource\n\n  def fields, do: [\n    ExTeal.Fields.Text.make(:title),\n    ExTealFroala.FroalaText.make(:body)\n  ]\n```\n\nIf you've configured a plugin that provides asset uploading functionality, you can integrate your\nfroala fields with it:\n\n```elixir\nalias ExTealFroala.FroalaText\n\nFroalaText.make(:body)\n|> FroalaText.with_assets()\n```\n\nYou can also override the default froala configuration by passing in a map to `with_config/2`:\n\n\n```elixir\nalias ExTealFroala.FroalaText\n\nFroalaText.make(:body)\n|> FroalaText.with_config(%{\n  plugins: ['align'],\n  toolbarButtons: [],\n})\n```\n\nThis plugin includes all plugins distributed with Froala.","ref":"readme.html#usage","title":"Usage - ExTealFroala","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"#","ref":"changelog.html#1-0-0-2023-10-09","title":"1.0.0 (2023-10-09) - Changelog","type":"extras"},{"doc":"* Add CI ([f75ffee](https://github.com/township-agency/ex_teal_froala/commit/f75ffee1798695011d47d7095654d6247b1d1504))\n\n\n#","ref":"changelog.html#features","title":"Features - Changelog","type":"extras"},{"doc":"* Add Credo ([1e31d99](https://github.com/township-agency/ex_teal_froala/commit/1e31d991f28ff3f06fb45f59e00772fd3b3ed014))","ref":"changelog.html#bug-fixes","title":"Bug Fixes - Changelog","type":"extras"}]}